From 67d496c7359dcde6e1c85dec26a5a92c747c2501 Mon Sep 17 00:00:00 2001
From: Oz Linden <oz@lindenlab.com>
Date: Sat, 30 May 2015 15:02:20 -0400
Subject: [PATCH] skip remaining variants once one variant build fails (fail
 early and often)

---
 build.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/build.sh b/build.sh
index 45b11d4221d..66ba3d86f32 100755
--- a/build.sh
+++ b/build.sh
@@ -273,6 +273,11 @@ do
       end_section "Build$variant"
   fi
   end_section "Do$variant"
+  if ! $succeeded 
+  then
+      record_event "remaining variants skipped due to $variant failure"
+      break
+  fi
 done
 
 # build debian package
-- 
GitLab